<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.smarking.mapper.report.reportclass.MsrClassNearlineMapper">
    <!--分档上线-列表-->
    <select id="listClassForFdSx" resultType="java.util.Map">
        select ${sql}
        where examid=#{params.examid}
        <if test="params.subjectid!= null and params.subjectid!= ''">
            and subjectid=#{params.subjectid}
        </if>
        <if test="params.reportcode!= null and params.reportcode!= 'gxl'">
            and subjectid!='zf' and classid!=0
        </if>
        <if test="params.classids!= null and params.classids.size() > 0">
            <foreach collection="params.classids" item="classid" open="and classid in (" close=")" separator=",">
                #{classid}
            </foreach>
        </if>
        <if test="params.dworder!= null and params.dworder!= 0">
            and dworder=#{params.dworder}
        </if>
    </select>
</mapper>
